Subject: Re: ckconfig not same as pathnames.h

From: [email-masked] (Geoff Terry Systems & Net supt 064 923677)
Date: Thu, 10 Apr 1997 13:32:09 +1000 (EST)

Becky,
no problems. So its fixed?

Geoff
>
>
>On Thu, 10 Apr 1997, Geoff Terry Systems & Net supt 064 923677 wrote:
>
>> Becky,
>> check the ftp daemon runs as root. eg started by innetd which is run as root
>> 
>> Geofft
>
>Yup, I did a kill -HUP the inetd process. thanks
>
>
>> 
>> >
>> >I just compiled wu beta 13 and when I do a ckconfig, I get this:
>> >
>> ># ./bin/ckconfig
>> >Checking _PATH_FTPUSERS :: /usr/local/lib/ftpd/ftpusers
>> >ok.
>> >
>> >Checking _PATH_FTPACCESS :: /usr/local/lib/ftpd/ftpaccess
>> >ok.
>> >
>> >which is great except that according to patnames.h, both of those files
>> >should be in /usr/local/etc and the syslog errors that I am getting,
>> >because I cannot log in, is:
>> >
>> >Apr  9 22:02:40 josephus ftpd[17866]: cannot
>> >open access file /usr/local/etc/ftpaccess: No such file or directory
>> >
>> >
>> >So how did ckconfig get so confused?  and I get another bizarre error. I
>> >have anonymous ftp setup using the stock DU4.0 ftp, but when I try to log
>> >in as anonymous under wu, I get this:
>> >
>> >Apr  9 22:16:02 josephus ftpd[17888]: User anonymous unknown.
>> >Apr  9 22:16:02 josephus ftpd[17888]: FTP LOGIN REFUSED (ftp not in
>> >/etc/passwd) FROM josephus.furph.com [204.120.113.160], anonymous
>> >
>> >yet in /etc/passwd and ~ftp/etc/passwd, I have this line:
>> >
>> >ftp:*:9998:999:anonymous ftp:/usr/users/ftp:/bin/false
>> >
>> >oh, and this is on digital unix 4.0, wu beta 13 compiled with build dec
>> >
>> >
>> >thanks
>> >
>> >beckers
>> >
>> >
>> >
>> >
>> Geoff Terry    Systems & Network Support
>> ACR Net        Sapphire Coast NSW 2550
>> Australia
>> Ph 064 923677  Mobile 015 668 227 Fax 064 924594
>> 
>> 
>
>
>
Geoff Terry    Systems & Network Support
ACR Net        Sapphire Coast NSW 2550
Australia
Ph 064 923677  Mobile 015 668 227 Fax 064 924594